package com.uas.ps.inquiry.entity;

import com.uas.ps.inquiry.model.PublicInquiryReply;

/**
 * 买家ERP系统的采购询价单明细的分段报价明细
 * 
 * @author yingp
 * 
 */
public class InquiryDetailDet {

	private Double idd_lapqty;
	private Double idd_price;

	public Double getIdd_lapqty() {
		return idd_lapqty;
	}

	public void setIdd_lapqty(Double idd_lapqty) {
		this.idd_lapqty = idd_lapqty;
	}

	public Double getIdd_price() {
		return idd_price;
	}

	public void setIdd_price(Double idd_price) {
		this.idd_price = idd_price;
	}

	public InquiryDetailDet() {

	}

	/**
	 * 平台的公共报价转报价单的报价信息转ERP对应的报价信息
	 *
	 * @param reply 平台的公共报价转报价单的报价信息
	 */
	public InquiryDetailDet(PublicInquiryReply reply) {
		this.idd_lapqty = reply.getLapQty();
		this.idd_price = reply.getPrice();
	}

}
