package com.uas.ps.inquiry.entity;



import com.uas.ps.inquiry.model.Enterprise;

import java.util.Date;
import java.util.Set;

public class InquiryDetailInfo {

	private Long id;

	/**
	 * 询价单所属企业UU
	 */
	private Long enUU;

	/**
	 * 询价单所属用户UU
	 */
	private Long recorderUU;

	/**
	 * 询价企业
	 */
	private Enterprise enterprise;

	/**
	 * 流水号
	 */
	private String code;

	/**
	 * 单据归属日期
	 */
	private Date date;

	/**
	 * 录入人
	 */
	private String recorder;
//
//	/**
//	 * 审核人
//	 */
//	private String auditor;

	/**
	 * 报价截止日期
	 */
	private Date endDate;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 环保要求
	 */
	private String environment;

//	/**
//	 * 价格类型
//	 */
//	private String priceType;

	/**
	 * 来源系统单据ID
	 */
	private Long sourceId;

	/**
	 * 附件
	 */
	private Set<com.uas.ps.inquiry.model.Attach> attachs;

//	/**
//	 * 客户已提交
//	 */
//	private Short check;

	/**
	 * 是否过期
	 */
	private Short overdue;

//	/**
//	 * 是否公开<br>
//	 * 1、 公共<br>
//	 * 0、 不用开
//	 */
//	private Short isOpen;

	/**
	 * 应用来源，主要是为了平台公共询价做处理
	 */
	private String sourceApp;

	/**
	 * 物料，便于管理区分
	 */
	private Set<InquiryProductInfo> products;

	/**
	 * 收货地址
	 */
	private String ship;

	/**
	 * 发票类型
	 */
	private Short invoice;

	/**
	 * 询价类型
	 */
	private String inquirytype;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getEnUU() {
		return enUU;
	}

	public void setEnUU(Long enUU) {
		this.enUU = enUU;
	}

	public Long getRecorderUU() {
		return recorderUU;
	}

	public void setRecorderUU(Long recorderUU) {
		this.recorderUU = recorderUU;
	}

	public Enterprise getEnterprise() {
		return enterprise;
	}

	public void setEnterprise(Enterprise enterprise) {
		this.enterprise = enterprise;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getRecorder() {
		return recorder;
	}

	public void setRecorder(String recorder) {
		this.recorder = recorder;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getEnvironment() {
		return environment;
	}

	public void setEnvironment(String environment) {
		this.environment = environment;
	}

	public Long getSourceId() {
		return sourceId;
	}

	public void setSourceId(Long sourceId) {
		this.sourceId = sourceId;
	}

	public Set<com.uas.ps.inquiry.model.Attach> getAttachs() {
		return attachs;
	}

	public void setAttachs(Set<com.uas.ps.inquiry.model.Attach> attachs) {
		this.attachs = attachs;
	}

	public Short getOverdue() {
		return overdue;
	}

	public void setOverdue(Short overdue) {
		this.overdue = overdue;
	}

	public String getSourceApp() {
		return sourceApp;
	}

	public void setSourceApp(String sourceApp) {
		this.sourceApp = sourceApp;
	}

	public Set<InquiryProductInfo> getProducts() {
		return products;
	}

	public void setProducts(Set<InquiryProductInfo> products) {
		this.products = products;
	}

	public String getShip() {
		return ship;
	}

	public void setShip(String ship) {
		this.ship = ship;
	}

	public Short getInvoice() {
		return invoice;
	}

	public void setInvoice(Short invoice) {
		this.invoice = invoice;
	}

	public String getInquirytype() {
		return inquirytype;
	}

	public void setInquirytype(String inquirytype) {
		this.inquirytype = inquirytype;
	}

}
