package com.uas.ps.inquiry.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 只包含最基本的信息，用与跟单据关联展现
 * @author suntg
 *
 */
@Entity
@Table(name = "sec$users")
public class User implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 用户UU
	 */
	@Id
	@Column(name = "user_uu")
	private Long userUU;

	/**
	 * 用户姓名
	 */
	@Column(name = "user_name")
	private String userName;

	/**
	 * 密码
	 */
	@Column(name = "user_pwd")
	private String userPwd;

	/**
	 * 用户邮箱
	 */
	@Column(name = "user_email")
	private String userEmail;

	/**
	 * 手机
	 */
	@Column(name = "user_tel")
	private String userTel;

	/**
	 * 性别
	 */
	@Column(name = "user_sex")
	private String userSex;

	/**
	 * imid
	 */
	@Column(name = "user_imid")
	private Long userIMId;

	@Transient
	private Enterprise enterprise;

	public Long getUserUU() {
		return userUU;
	}

	public void setUserUU(Long userUU) {
		this.userUU = userUU;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserPwd() {
		return userPwd;
	}

	public void setUserPwd(String userPwd) {
		this.userPwd = userPwd;
	}

	public String getUserEmail() {
		return userEmail;
	}

	public void setUserEmail(String userEmail) {
		this.userEmail = userEmail;
	}

	public String getUserTel() {
		return userTel;
	}

	public void setUserTel(String userTel) {
		this.userTel = userTel;
	}

	public String getUserSex() {
		return userSex;
	}

	public void setUserSex(String userSex) {
		this.userSex = userSex;
	}

	public Long getUserIMId() {
		return userIMId;
	}

	public void setUserIMId(Long userIMId) {
		this.userIMId = userIMId;
	}

	public Enterprise getEnterprise() {
		return enterprise;
	}

	public void setEnterprise(Enterprise enterprise) {
		this.enterprise = enterprise;
	}
}
