package com.uas.ps.inquiry.service.impl;

import com.uas.ps.inquiry.dao.AttachDao;
import com.uas.ps.inquiry.model.Attach;
import com.uas.ps.inquiry.service.AttachService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 附件接口实现
 *
 * Created by hejq on 2018-01-24.
 */
@Service
@Transactional
public class AttachServiceImpl implements AttachService {

    @Autowired
    private AttachDao attachDao;

    @Override
    public Attach findById(Long id) {
        return attachDao.findOne(id);
    }
}
